Results 1 to 4 of 4

Thread: Entsel

  1. #1
    I could stop if I wanted to
    Join Date
    2004-12
    Location
    California
    Posts
    283
    Login to Give a bone
    0

    Default Entsel

    Morning -

    I have the following line of text within my lisp - (setq SEL (entsel "\nSelect Door Swing "))

    Unfortunatly, this works well when someone actually selects an object but if they don't exactly select the object and just end up picking a point in space.....the command just continues and ends up screwing up. How can I force the selection of an actually object? I tried ssget but that allows for many selections, which I don't need. Any ideas?

  2. #2
    I could stop if I wanted to tyshofner's Avatar
    Join Date
    2004-03
    Location
    Dallas, Tx
    Posts
    229
    Login to Give a bone
    0

    Default Re: Entsel

    Try this:

    Code:
    (while (= SEL nil) (setq SEL (entsel "\nSelect Door Swing ")))


    Ty

  3. #3
    100 Club CADmium's Avatar
    Join Date
    2004-08
    Location
    Eberswalde, Germany, Europe
    Posts
    128
    Login to Give a bone
    0

    Default Re: Entsel

    or shorter
    (while(not(setq SEL (entsel "\nSelect Door Swing "))))

  4. #4
    I could stop if I wanted to
    Join Date
    2004-12
    Location
    California
    Posts
    283
    Login to Give a bone
    0

    Default Re: Entsel

    That worked great......thanks!!

Similar Threads

  1. Entsel & SSGet combined
    By JaCAD in forum AutoLISP
    Replies: 10
    Last Post: 2012-10-24, 06:19 PM
  2. help with entsel/getpoint
    By fclao in forum AutoLISP
    Replies: 2
    Last Post: 2010-03-08, 10:58 AM
  3. Entsel - Multiple objects?
    By Mr Cory in forum AutoLISP
    Replies: 8
    Last Post: 2007-08-27, 07:31 PM
  4. Help with using entsel or nentselp
    By MWKINCAID1 in forum AutoLISP
    Replies: 3
    Last Post: 2007-03-10, 12:10 AM
  5. Point from entsel
    By wommack in forum AutoLISP
    Replies: 10
    Last Post: 2006-12-15, 06:01 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •